Bug 860936 - Fedora18:Alpha:Unit systemd-journal-flush.service failed to load, No such file or directory
Fedora18:Alpha:Unit systemd-journal-flush.service failed to load, No such fil...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
18
ppc64 All
unspecified Severity high
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 02:51 EDT by IBM Bug Proxy
Modified: 2013-01-14 04:40 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-08 05:49:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg.txt (25.33 KB, text/plain)
2012-09-27 02:51 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 85557 None None None 2012-09-27 02:51:28 EDT

  None (edit)
Description IBM Bug Proxy 2012-09-27 02:51:28 EDT
== Comment: #0 - MANAS K. NAYAK <maknayak@in.ibm.com> - 2012-09-26 08:25:44 ==
After minimal type Installation of Fedora 18 alpha ppc64 on P7 Juno-IOCL LPAR using vnc method , noticed following failures for systemd-journal-flush in dmesg output.

[    1.438095] systemd[1]: Cannot add dependency job for unit systemd-journal-flush.service, ignoring: Unit systemd-journal-flush.service failed to load: No such file or directory. See system logs and 'systemctl status systemd-journal-flush.service' for details.
[    5.144302] systemd[1]: Cannot add dependency job for unit systemd-journal-flush.service, ignoring: Unit systemd-journal-flush.service failed to load: No such file or directory. See system logs and 'systemctl status systemd-journal-flush.service' for details.


[root@localhost ~]# uname -a
Linux localhost 3.6.0-0.rc5.git0.1.fc18.ppc64p7 #1 SMP Tue Sep 11 10:31:05 MST 2012 ppc64 ppc64 ppc64 GNU/Linux

Attached dmesg.txt file for refrence.

== Comment: #2 - MANAS K. NAYAK <maknayak@in.ibm.com> - 2012-09-26 15:02:00 ==

[root@localhost ~]# systemd --version
systemd 188
fedora
+PAM +LIBWRAP +AUDIT +SELINUX +IMA +SYSVINIT +LIBCRYPTSETUP

[root@localhost ~]# rpm -qa | grep -i systemd
systemd-sysv-188-3.fc18.ppc64
systemd-libs-188-3.fc18.ppc64
systemd-188-3.fc18.ppc64

Thanks...
Manas
Comment 1 IBM Bug Proxy 2012-09-27 02:51:43 EDT
Created attachment 617910 [details]
dmesg.txt
Comment 2 Lennart Poettering 2012-10-08 05:49:18 EDT
This should be fixed with a newer systemd and more recent dracut. Please update to the current versions from F18. Thanks.
Comment 3 IBM Bug Proxy 2012-10-09 21:00:38 EDT
------- Comment From maknayak@in.ibm.com 2012-10-10 00:56 EDT-------
(In reply to comment #6)
> This should be fixed with a newer systemd and more recent dracut. Please
> update to the current versions from F18. Thanks.

I updated dracut and systemd ('yum update dracut systemd') ,rebooted the system ,still noticed those errors in dmesg.

[root@miz02 ~]# dmesg | grep -i journal
[    1.419074] systemd[1]: Cannot add dependency job for unit systemd-journal-flush.service, ignoring: Unit systemd-journal-flush.service failed to load: No such file or directory. See system logs and 'systemctl status systemd-journal-flush.service' for details.
[    1.573557] systemd-journald[77]: Fixed max_use=509.1M max_size=63.6M min_size=64.0K keep_free=254.5M
[    1.573615] systemd-journald[77]: Reserving 115939 entries in hash table.
[    1.574621] systemd-journald[77]: Vacuuming...
[    7.225683] systemd-journald[77]: Received SIGTERM
[   36.931295] systemd-journald[326]: Fixed max_use=509.1M max_size=63.6M min_size=64.0K keep_free=254.5M
[   36.931324] systemd-journald[326]: Reserving 115939 entries in hash table.
[   37.318831] systemd-journald[326]: Vacuuming...
[   53.950075] systemd-journald[326]: Received SIGUSR1

After update :
[root@miz02 ~]# rpm -qa | grep -i dracut
dracut-023-39.git20120910.fc18.ppc64

[root@miz02 ~]# rpm -qa | grep -i systemd
Comment 4 Harald Hoyer 2012-10-10 09:06:23 EDT
Did you update your initramfs?

# dracut -f
Comment 5 IBM Bug Proxy 2012-10-11 02:32:15 EDT
------- Comment From maknayak@in.ibm.com 2012-10-11 06:21 EDT-------
(In reply to comment #12)
> Did you update your initramfs?
>
> # dracut -f

Hi Harald,

I had not executed last time "dracut -f",rather  I only updated dracut & systemd..
Now I executed "dracut -f" & rebooted the system.

Once system comes up, I still noticed similar issue in dmesg as below:

[root@miz02 ~]# dmesg | grep -i journal
[    1.418085] systemd[1]: Cannot add dependency job for unit systemd-journal-flush.service, ignoring: Unit systemd-journal-flush.service failed to load: No such file or directory. See system logs and 'systemctl status systemd-journal-flush.service' for details.
[    1.582821] systemd-journald[77]: Fixed max_use=509.1M max_size=63.6M min_size=64.0K keep_free=254.5M
[    1.582874] systemd-journald[77]: Reserving 115939 entries in hash table.
[    1.583855] systemd-journald[77]: Vacuuming...
[   13.834946] systemd-journald[77]: Received SIGTERM
[   31.997094] systemd-journald[345]: Fixed max_use=509.1M max_size=63.6M min_size=64.0K keep_free=254.5M
[   31.997129] systemd-journald[345]: Reserving 115939 entries in hash table.
[   31.997860] systemd-journald[345]: Vacuuming...
[   36.580864] systemd-journald[345]: Received SIGUSR1

Thanks...
Manas
Comment 6 IBM Bug Proxy 2013-01-14 04:40:34 EST
------- Comment From maknayak@in.ibm.com 2013-01-14 09:38 EDT-------
Fedora 18 rc2.2 has fixed this issue.There is no such failure noticed again.

# uname -a
Linux c57f1ju0203 3.6.10-4.fc18.ppc64p7 #1 SMP Wed Dec 12 16:08:02 MST 2012 ppc64 ppc64 ppc64 GNU/Linux

This bug can be closed now.

Thanks...
Manas

Note You need to log in before you can comment on or make changes to this bug.